extends layout.pug

block content
    h1=__("List of Gameresults")
    br
    if land_id
        p= __("Land")
            | : 
            | #{games[0].game.display_name || land_id}
    if !games || games.length === 0
        p= __("No Gameresults have been registered here")
    else
        select#list-sort
            option(value="") ---
            option(value="alphabetical")= __("Alphabetical")
            option(value="score")= __("Score")
            option(value="duration")= __("Duration")
            option(value="newest")= __("Newest")

        table.list
            thead
                tr
                    th= __("Player")
                    th= __("Score")
                    if !land_id
                        th= __("Land")
                    th= __("Link")
            tbody
                each game in games
                    tr
                        td= game.user.display_name
                        td= game.result.display_score
                        if !land_id
                            td
                                a(href="/list/" + game.game.id)= game.game.display_name
                        td
                            a(href="/" + game.id) Gameresult

    script.
        window.addEventListener("load", () => {
            const select = document.getElementById("list-sort");
            select.addEventListener("change", e => {
                window.location.href = window.location.pathname + "?sort=" + e.target.value
            })
        })